/*************************************************************************/
/**      **/
/**            **/
/**                **/
/**              **/
/**                                                                     **/
/**                               **/
/**                                                  **/
/*************************************************************************/

#ifndef __QLOSDFUNC_H
#define __QLOSDFUNC_H
#ifdef	SUPPORT_PL3XX_OSD
#include "osdstruct.h"

#ifdef	SUPPORT_VO_OSD
int OSD_Test(unsigned int hdev, int func, int x, int y, int w, int h, unsigned int *p);
#endif

#ifdef	SUPPORT_VI_OSD
unsigned int QLVIOSD_Init(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD);
unsigned int QLVIOSD_Start(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD);
void QLVIOSD_Service(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD);
void QLVIOSD_Stop(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD);
unsigned int QLVIOSD_Clearbuf(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD);
unsigned int QLVIOSD_GetInfo(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD);
unsigned int QLVIOSD_AddFont(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD, TQLFont *ptFont);
unsigned int QLVIOSD_AddText(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD, TQLText *ptText);
unsigned int QLVIOSD_SetText(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD, TQLText *ptText);
unsigned int QLVIOSD_TimeUpdate(unsigned int hdev, QPCODEC_VIOSD *pQLVIOSD);
int VIOSD_SetConfig(unsigned int hdev, char *viCmd, char *viData);
#endif

#endif

#endif 
//end of _QLOSDFUNC_H


