///////////////////////////////////////////////////////////////////////////////
//        
//
// Qplinuxkermap.h
//
// Description: 
//
//  This is the mapping between QP status and Linux kernel status
// 
// History:
//	Jan 25, 2010	(dt) created
//
// Authors: (dt) David Tao
//
///////////////////////////////////////////////////////////////////////////////


#ifndef __QPLINUXKERMAP_H__
#define __QPLINUXKERMAP_H__

#include "qptypes.h"
#include <linux/errno.h>

long QpToLinuxKerStatus(EQP_Errors qpStatus);
EQP_Errors LinuxKerToQpStatus(long lErr);


#endif //__QPLINUXKERMAP_H__

