/*************************************************************************/
/**      **/
/**            **/
/**                **/
/**              **/
/**                                                                     **/
/**                               **/
/**                                                  **/
/*************************************************************************/

//----------------------------------------------------------------------------
// qlosd.h
//
//----------------------------------------------------------------------------
#ifndef __QLOSD_H__
#define __QLOSD_H__

#include "osdstruct.h"

int qldiag_osd_SetPixelFormat(CDevice *pDevice, void *p);
int qldiag_osd_GetPixelFormat(CDevice *pDevice, void *p);
int qldiag_osd_SetResolution(CDevice *pDevice, void *p);
int qldiag_osd_GetResolution(CDevice *pDevice, void *p);
int qldiag_osd_SetHorizontalX2(CDevice *pDevice, void *p);
int qldiag_osd_SetVerticalX2(CDevice *pDevice, void *p);
int qldiag_osd_SetFilter(CDevice *pDevice, void *p);
int qldiag_osd_SetRequestInterval(CDevice *pDevice, void *p);
int qldiag_osd_EnableBlending(CDevice *pDevice, void *p);
int qldiag_osd_SetBlendingValue(CDevice *pDevice, void *p);
int qldiag_osd_SetCLUT(CDevice *pDevice, void *p);
int qldiag_osd_GetCLUT(CDevice *pDevice, void *p);
int qldiag_osd_EnableOSD(CDevice *pDevice, void *p);
int qldiag_osd_DisableOSD(CDevice *pDevice, void *p);
int qldiag_osd_SetHiLight(CDevice *pDevice, void *p);
int qldiag_osd_AllocateMemory(CDevice *pDevice, void *p);
int qldiag_osd_FreeMemory(CDevice *pDevice, void *p);
int qldiag_osd_SetCurrentOSD(CDevice *pDevice, void *p);
int qldiag_osd_GetCurrentOSD(CDevice *pDevice, void *p);
int qldiag_osd_PasteBuffer(CDevice *pDevice, void *p);
int qldiag_osd_CopyBuffer(CDevice *pDevice, void *p);

int qldiag_osd_DrawRect(CDevice *pDevice, void *p);
int qldiag_osd_DrawImage(CDevice *pDevice, void *p);
int qldiag_osd_DrawDot(CDevice *pDevice, void *p);
int qldiag_osd_DrawText(CDevice *pDevice, void *p);
int qldiag_osd_SetStartAddress(CDevice *pDevice, void *p);

int qldiag_osd_param(CDevice *pDevice, void *p);
int qldiag_osd_control(CDevice *pDevice, void *p);

#ifdef SUPPORT_VI_OSD
int qldiag_viosd_On(CDevice *pDevice, void *p);
int qldiag_viosd_Off(CDevice *pDevice, void *p);
int qldiag_viosd_Init(CDevice *pDevice, void *p);
int qldiag_viosd_TimeStampEnable(CDevice *pDevice, void *p);
int qldiag_viosd_TimeStampFontType(CDevice *pDevice, void *p);
int qldiag_viosd_TimeStampXPosition(CDevice *pDevice, void *p);
int qldiag_viosd_TimeStampYPosition(CDevice *pDevice, void *p);
int qldiag_viosd_TimeStringEnable(CDevice *pDevice, void *p);
int qldiag_viosd_TimeStringFontType(CDevice *pDevice, void *p);
int qldiag_viosd_TimeStringXPosition(CDevice *pDevice, void *p);
int qldiag_viosd_TimeStringYPosition(CDevice *pDevice, void *p);
int qldiag_viosd_TimeString(CDevice *pDevice, void *p);
int qldiag_viosd_control(CDevice *pDevice, void *p);
int qldiag_viosd_clearbuf(CDevice *pDevice, void *p);
int qldiag_viosd_addfont(CDevice *pDevice, void *p);
int qldiag_viosd_addtext(CDevice *pDevice, void *p);
int qldiag_viosd_settext(CDevice *pDevice, void *p);
int qldiag_viosd_deltext(CDevice *pDevice, void *p);
int qldiag_viosd_settime(CDevice *pDevice, void *p);
int qldiag_viosd_updatetime(CDevice *pDevice, void *p);
int qldiag_viosd_GetInfo(CDevice *pDevice, void *p);
#endif


#endif //__QLOSD_H__

