///////////////////////////////////////////////////////////////////////////////
//        
//
// CencoderTask.h
//
// Description: 
//
//	Header file which defines the encoder task
// 
// History:
//	Aug 4, 2006	(dt) initial check in
//
// Authors: (dt) David Tao
//
///////////////////////////////////////////////////////////////////////////////

#ifndef __CENCODERTASK_H__
#define __CENCODERTASK_H__


#include "qptypes.h"
#include "ctask.h"

#ifdef __cplusplus
extern "C" {
#endif


#ifndef __CENCODERTASK_FWD_DEFINED__
#define __CENCODERTASK_FWD_DEFINED__
typedef struct CEncoderTask CEncoderTask;
#endif //!__CENCODERTASK_FWD_DEFINED__


struct CEncoderTask
{
	// public CTask
	//
	CTask	m_Task;

};

// constructor
//
CEncoderTask * CEncoderTask_Constructor(CEncoderTask *pEncoderTask, 
										CObject *pParent,
										TQP_UINT32 dwAttributes,
										TQP_UINT32 dwPriority,
										CQLCodec *pMpegCodec,
										TQP_OSMEvtgrpID evtWait,
										TQP_OSMEvtgrpID evtReply
										);
// destructor
//
void CEncoderTask_Destructor(CEncoderTask *This);

#ifdef __cplusplus
}
#endif


#endif //__CENCODERTASK_H__


