///////////////////////////////////////////////////////////////////////////////
//        
//
// Qpbusintf.h
//
// Description: 
//
//  This is the common bus call back interface
// 
// History:
//
// Authors: (dt) David Tao
//
///////////////////////////////////////////////////////////////////////////////

#ifndef __QPBUSINTF_H__
#define __QPBUSINTF_H__


#include "qptypes.h"

#ifdef __cplusplus
extern "C" {
#endif


// callback fuction type
//
typedef EQP_Errors (*QP_BUSINTF_CALLBACK)(TQP_PVOID Context, TQP_UINT32 dwCode, TQP_PVOID pParam);

#define QPBUSINTF_ARM_INT			0x0001
#define QPBUSINTF_DMA_READ_DONE		0x0002
#define QPBUSINTF_DMA_WRITE_DONE	0x0004


#ifdef __cplusplus
}
#endif

#endif //__QPBUSINTF_H__

