///////////////////////////////////////////////////////////////////////////////
//        
//
// Qpwdmmap.h
//
// Description: 
//
//  This is the mapping between QP status and WDM status
// 
// History:
//	Sep 28, 2006	(dt) created
//
// Authors: (dt) David Tao
//
///////////////////////////////////////////////////////////////////////////////


#ifndef __QPWDMMAP_H__
#define __QPWDMMAP_H__

#include "qptypes.h"
#include <wdm.h>

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus

NTSTATUS QpToNtStatus(EQP_Errors qpStatus);
EQP_Errors NtToQpStatus(NTSTATUS ntStatus);


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__QPWDMMAP_H__

