///////////////////////////////////////////////////////////////////////////////
//        
//
// Diagnostic API for the Sanyo project
// 
//
//
// History:
//	Aug 4, 2006	(EC) Created
//
// Authors: (EC) Enrico Cadorin
//
///////////////////////////////////////////////////////////////////////////////


#ifndef __QPXAPIDIAG_H__
#define __QPXAPIDIAG_H__

#if defined(__cplusplus)
extern "C" {
#endif


#define QPX_OK 0
#define QPX_ERR 1

#define QPX_ENCODE 0
#define QPX_DECODE 1
#define QPX_DISABLE 2

/////////////////////////////////////////////////////////////////////////////
//
//


//
int QPX_Diag_ReadRange (unsigned int * startAddrP, unsigned int * wordsP, int * bufP);
int QPX_Diag_WriteRange (unsigned int * startAddrP, unsigned int * wordsP, int * bufP);
int QPX_Diag_DMARead (unsigned int * startAddrP, unsigned int * wordsP, int * bufP);
int QPX_Diag_DMAWrite (unsigned int * startAddrP, unsigned int * wordsP, int * bufP);
int QPX_Diag_ReadRegister (unsigned short addr, unsigned long * dataP);
int QPX_Diag_WriteRegister (unsigned short addr, unsigned long data);
int QPX_Diag_ReadHCIRegister (unsigned char addr, unsigned char * dataP);
int QPX_Diag_WriteHCIRegister (unsigned char addr, unsigned char data);



#if defined(__cplusplus)
}
#endif


#endif //__QPXAPIDIAG_H__


