///////////////////////////////////////////////////////////////////////////////
//        
//
//		Private Time Manager interface
//
//	Entry points to control the platform-independent time Manager
//
// History:
//	Aug 23, 2007	(EC) Created
//
// Authors: (EC) Enrico Cadorin
//
///////////////////////////////////////////////////////////////////////////////


#ifndef __QPTIMEGRPRIV_H__
#define __QPTIMEGRPRIV_H__

#ifdef QP_LINXKER
#include "../common/qptypes.h"
#else
#include "qptypes.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

EQP_Errors QPTMInitPriv (void);
EQP_Errors QPTMTermPriv (void);


#ifdef __cplusplus
}
#endif

#endif //__QPTIMEGRPRIV_H__
