///////////////////////////////////////////////////////////////////////////////
//        
//
// Cvidinputusbfw.h
//
// Description: 
//
//  Video input device handled in the USB firmware
// 
// History:
//	Aug 7, 2009	(dt) created
//
// Authors: (dt) David Tao
//
///////////////////////////////////////////////////////////////////////////////


#ifndef __CVIDINPUTUSBFW_H__
#define __CVIDINPUTUSBFW_H__

#include "cviddecoder.h"
#include "cusbcntl.h"

#ifdef __cplusplus
extern "C" {
#endif


/////////////////////////////////////////////////////////////////////////////
//
//

typedef struct CVidInputUsbFW 
{
	// public CVideoDecoder
	//
	CVideoDecoder		m_VideoDecoder;

	// CVidInputUsbFW
	CUsbCntl			*m_pUsbCntl;			// USB controller

} CVidInputUsbFW;


CVidInputUsbFW * CVidInputUsbFW_Constructor(CVidInputUsbFW *pMi2010, 
											CObject *pParent,
											TQP_UINT32 dwAttributes,
											ITuner *pTuner,
											ITVAudio *pTvAudio,
											CUsbCntl *pUsbCntl
											);
void CVidInputUsbFW_Destructor(CVidInputUsbFW *This);

#ifdef __cplusplus
}
#endif

#endif //__CVIDINPUTUSBFW_H__



