/*************************************************************************/
/**      **/
/**            **/
/**                **/
/**              **/
/**                                                                     **/
/**                               **/
/**                                                  **/
/*************************************************************************/

#ifndef __QUTILS_H__
#define __QUTILS_H__

#include <stdint.h>

#ifndef CONFIG_HOST_PLATFORM_USERSPACE
int lookup_video_device_node(TQP_UINT32 devInstance,
							  COMPONENT_TYPE devType,
							  TQP_UINT32 busType,
							  char *pszDeviceName
							  );
#endif
int pl_reg_get(DEVHANDLE dev, uint32_t address, uint32_t *value);
int pl_reg_set(DEVHANDLE dev, uint32_t address, uint32_t value);
int pl_mem_get(DEVHANDLE dev, uint32_t address, uint32_t dwordlen, uint32_t *value);
int pl_mem_set(DEVHANDLE dev, uint32_t address, uint32_t dwordlen, uint32_t *value);
int pl_i2c_get(DEVHANDLE dev, uint8_t address, uint8_t subaddr, uint8_t *value);
int pl_i2c_set(DEVHANDLE dev, uint8_t address, uint8_t subaddr, uint8_t value);
int pl_i2cnb_get(DEVHANDLE dev, uint32_t bus, uint8_t address, uint32_t wrsize, uint8_t *wrvalue, uint32_t rdsize, uint8_t *rdvalue);
int pl_i2cnb_set(DEVHANDLE dev, uint32_t bus, uint8_t address, uint32_t wrsize, uint8_t *wrvalue);
#endif //__QUTILS_H__

