///////////////////////////////////////////////////////////////////////////////
//      
//
// Plv4ldevversion.h
//
// Description:
//
//  V4L device version
//
// History:
//	Jan 19, 2010	(dt) created
//
// Authors: (dt) David Tao
//
///////////////////////////////////////////////////////////////////////////////


#ifndef __PLV4LDEVVERSION_H__
#define __PLV4LDEVVERSION_H__

#define PLDRV_VERSION_MAJOR  2
#define PLDRV_VERSION_MINOR  3
#define PLDRV_VERSION_BRANCH 12
#define PLDRV_VERSION_EXPERIMENTAL   "20150424"

#define PLDRV_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))
#define PLDRV_VERSION_CODE  ((PLDRV_VERSION_MAJOR << 16) | (PLDRV_VERSION_MINOR << 8) | PLDRV_VERSION_BRANCH)

#endif //__PLV4LDEVVERSION_H__


