/*************************************************************************/
/**      **/
/**            **/
/**                **/
/**              **/
/**                                                                     **/
/**                               **/
/**                                                  **/
/*************************************************************************/

#ifndef __VIDPROPSTRUCT_H
#define __VIDPROPSTRUCT_H

enum _VIDEOPROP_CMD_TYPE {
	PROP_SET_BASE = 0,
	PROP_SET_POWERLINEFREQ,
	PROP_SET_BRIGHTNESS,
	PROP_SET_CONTRAST,
	PROP_SET_HUE,
	PROP_SET_SATURATION,
	PROP_SET_SHARPNESS,
	PROP_SET_GAMMA,
	PROP_SET_AUTOWHITEBALANCEENABLED,
	PROP_SET_WHITEBALANCE,
	PROP_SET_LOWLIGHTBOOST,

	PROP_SET_AUTOFOCUSENABLED,
	PROP_SET_FOCUS,
	PROP_SET_AUTOEXPOSUREENABLED,
	PROP_SET_EXPOSURE,
	PROP_SET_AUTOEXPOSUREPRIORITY,

	PROP_GET_BASE = 100,
	PROP_GET_POWERLINEFREQ,
	PROP_GET_BRIGHTNESS,
	PROP_GET_CONTRAST,
	PROP_GET_HUE,
	PROP_GET_SATURATION,
	PROP_GET_SHARPNESS,
	PROP_GET_GAMMA,
	PROP_GET_AUTOWHITEBALANCEENABLED,
	PROP_GET_WHITEBALANCE,
	PROP_GET_LOWLIGHTBOOST,

	PROP_GET_AUTOFOCUSENABLED,
	PROP_GET_FOCUS,
	PROP_GET_AUTOEXPOSUREENABLED,
	PROP_GET_EXPOSURE,
	PROP_GET_AUTOEXPOSUREPRIORITY,

	PROP_GET_POWERLINEFREQRANGE,
	PROP_GET_BRIGHTNESSRANGE,
	PROP_GET_CONTRASTRANGE,
	PROP_GET_SATURATIONRANGE,
	PROP_GET_SHARPNESSRANGE,
	PROP_GET_GETGAMMARANGE,
	PROP_GET_WHITEBALANCERANGE,
	PROP_GET_LOWLIGHTBOOSTRANGE,
	PROP_GET_FOCUSRANGE,
	PROP_GET_EXPOSURERANGE,
	PROP_GET_AUTOEXPOSUREPRIORITYRANGE
};

typedef struct _qldev_videoprop_param {
	int type;
	int	value;
	int min;
	int max;
}QLDEV_VIDEOPROP_PARAMETER, *PQLDEV_VIDEOPROP_PARAMETER;

#endif
