///////////////////////////////////////////////////////////////////////////////
//        
//
// Cqpusbintf.h
//
// Description: 
//
//  This is the implementation of the USB bus interface
// 
// History:
//	Aug 22, 2006 (dt) created
//
// Authors: (dt) David Tao
//
///////////////////////////////////////////////////////////////////////////////

#ifndef __CQPUSBINTF_H__
#define __CQPUSBINTF_H__

#include "qpusbintf.h"
#include "cobject.h"

#ifdef __cplusplus
extern "C" {
#endif


/////////////////////////////////////////////////////////////////////////////
//
//

typedef struct CUsbInterface
{
	// public CObject
	//
	CObject			m_Object;

	// public IUsbInterface
	//
	IUsbInterface	m_iUsbInterface;

	// private data
	//
	TQP_PVOID		m_pPrivateData;
} CUsbInterface;


CUsbInterface * CUsbInterface_Constructor(CUsbInterface *pUsbInterface,
										  CObject *pParent,
										  TQP_UINT32 dwAttributes,
										  TQP_PVOID pDO,
										  TQP_PVOID pDOLayered
										  );
void CUsbInterface_Destructor(CUsbInterface *This);


#ifdef __cplusplus
}
#endif

#endif //__CQPUSBINTF_H__




