///////////////////////////////////////////////////////////////////////////////
//
//   
//
//	ql330gpio.h
//
// Modification History:
//	Jul 31, 09	(BP) Created
//
// Authors:
//	(BP)	Brian Pin
//
///////////////////////////////////////////////////////////////////////////////
#ifndef __QL330_GPIO_H__
#define __QL330_GPIO_H__

#ifndef PLGPIO_PIN
#define PLGPIO_PIN
enum GPIO_PIN {
	GPIO_00 = 0,
	GPIO_01,
	GPIO_02,
	GPIO_03,
	GPIO_04,
	GPIO_05,
	GPIO_06,
	GPIO_07,
	GPIO_08,
	GPIO_09,
	GPIO_10,
	GPIO_11,
	GPIO_12,
	GPIO_13,
	GPIO_14,
	GPIO_15,
};
#endif


/**
 * @pin: one of the gpio pin to write
 * @value: 0 or 1 to write
 */
void __ql330_gpio_write(enum GPIO_PIN pin, unsigned value);

/**
 * @pin: one of the gpio pin to write
 * @return: 0 or 1
 */
unsigned __ql330_gpio_read(enum GPIO_PIN pin);

#endif
