///////////////////////////////////////////////////////////////////////////////
//        
//
//		Private OS Manager interface
//
//	Entry points to control the platform-independent OS Manager
//
// History:
//	Aug 4, 2006	(EC) Created
//
// Authors: (EC) Enrico Cadorin
//
///////////////////////////////////////////////////////////////////////////////


#ifndef __QPOSMGRPRIV_H__
#define __QPOSMGRPRIV_H__

#ifdef QP_LINXKER
#include "../common/qptypes.h"
#else
#include "qptypes.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

EQP_Errors QPOSMInitPriv (void);
EQP_Errors QPOSMTermPriv (void);


#ifdef __cplusplus
}
#endif

#endif //__QPOSMGRPRIV_H__
